## org.ascape.view.vis
Class ChartView

    java.lang.Object
      org.ascape.model.event.DefaultScapeListener
          org.eclipse.amp.escape.ascape.view.ModelScapeView
              org.eclipse.amp.escape.ascape.view.EditPartFactoryScapeView
                  org.eclipse.amp.escape.ascape.view.EditPartScapeView
                      org.ascape.view.vis.ChartView

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.EventListener, org.ascape.model.event.ScapeListener, org.ascape.util.HasName, org.eclipse.core.runtime.IAdaptable, org.eclipse.gef.EditPartFactory

    public class ChartView

extends EditPartScapeView

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.event.DefaultScapeListener
`scape`

Constructor Summary
`ChartView()`

Method Summary
`void` `addSeries(java.lang.String valueName)` Adds a series to the chart being viewed.
`void` `addSeries(java.lang.String valueName, org.eclipse.swt.graphics.Color color)` Adds a series to the chart being viewed.
`org.eclipse.gef.EditPart` `createEditPart(org.eclipse.gef.EditPart context, java.lang.Object model)`

Methods inherited from class org.eclipse.amp.escape.ascape.view.EditPartScapeView
`createInput`

Methods inherited from class org.eclipse.amp.escape.ascape.view.EditPartFactoryScapeView
`getAdapter, getRootPart`

Methods inherited from class org.eclipse.amp.escape.ascape.view.ModelScapeView
`getModel, getName, scapeAdded, toString`

Methods inherited from class org.ascape.model.event.DefaultScapeListener
`clone, environmentQuiting, getScape, isGraphic, isLifeOfScape, isNotifyScapeAutomatically, notifyScapeUpdated, scapeClosing, scapeDeserialized, scapeInitialized, scapeIterated, scapeNotification, scapeRemoved, scapeSetup, scapeStarted, scapeStopped, setName, setNotifyScapeAutomatically`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChartView

    public ChartView()

Method Detail

### createEditPart

    public org.eclipse.gef.EditPart createEditPart(org.eclipse.gef.EditPart context,
                                                   java.lang.Object model)

### addSeries

    public void addSeries(java.lang.String valueName)

  Adds a series to the chart being viewed. Convenience method (could also get view model and set select group.)

  Parameters:
    `valueName` - the name of the series to add

### addSeries

    public void addSeries(java.lang.String valueName,
                          org.eclipse.swt.graphics.Color color)

  Adds a series to the chart being viewed. Convenience method.

  Parameters:
    `valueName` - the name of the series to add
    `color` - the color to use for the series in the chart